OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000088OMNeT++simulation kernelpublic2009-07-24 09:072010-01-05 12:50
Reporterypsilon 
Assigned Tolevy 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target VersionFixed in Version4.1 
Summary0000088: on second extend modules loose gates?
DescriptionI have a module interface defining two gates, e.g.:
moduleinterface InterfaceA {
  gates:
    inout app[];
    inout net[];
}

This interface is implemented by a module, defining the two necessary gates (which belongs to an abstract class - so I can extend the class and the module for implementation purposes - but this just for motivation, it doesn't influence the problem):
simple AbstractModuleA like InterfaceA {
  gates:
    inout app[];
    inout net[];
}


If I extend from that module:
simple ModuleA extends AbstractModuleA {
}
I can start a simulation using ModuleA.

However, it I extend from that module again:
simple ModuleAWithASpecialPurpose extends ModuleA {
}
I get upon simulation start:
<!> Error: module type has no gate `app', required by interface `InterfaceA', at [...]/ModuleAWithASpecialPurpose.ned:21.
Additional Informationworkaround is quiet simple by extending only once but this can be quiet a structural loss for the model.
TagsNo tags attached.
Attached Files? file icon NED_inheritance_gates_iface.test [^] (883 bytes) 2009-08-21 09:43

- Relationships

-  Notes
(0000166)
ypsilon (reporter)
2009-08-21 09:49

this one is more severe than I thought for me :-(
I added a test case to help find it.

It's interesting, that the gates actually exist if one removes the "like Iface". The bug seems to happen when the interface compliance is checked.

- Issue History
Date Modified Username Field Change
2009-07-24 09:07 ypsilon New Issue
2009-08-21 09:43 ypsilon File Added: NED_inheritance_gates_iface.test
2009-08-21 09:49 ypsilon Note Added: 0000166
2009-10-21 16:24 rhornig Status new => confirmed
2009-10-21 16:25 rhornig Priority normal => high
2009-10-21 16:25 rhornig Severity minor => major
2010-01-05 12:49 levy Assigned To => levy
2010-01-05 12:50 levy Status confirmed => resolved
2010-01-05 12:50 levy Fixed in Version => 4.1
2010-01-05 12:50 levy Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker